#include <iostream>
#include <string>
#include <iomanip>
#include <cmath>
using namespace std;

int brojcifara(int a) {
	int i=0;
	while(a%10>0){
		a=a/10;
		i++;
	}
	return i;
}

int spoj(int a, int b, int c) {
	return (b+a*(pow(10,brojcifara(b))))*pow(10,brojcifara(c))+c;
}

int main() {
	int a, b, c,n1,n2,n3,n4,n5,n6,max;
	cin>>a>>b>>c;
	max=0;
    n1=spoj(c,b,a);
    if(n1>max) max=n1;
    n2=spoj(a,b,c);
    if(n2>max) max=n1;
    n3=spoj(b,a,c);
    if(n3>max) max=n1;
    n4=spoj(c,a,b);
    if(n4>max) max=n1;
    n5=spoj(a,c,b);
    if(n5>max) max=n1;
    n6=spoj(b,c,a);
    if(n6>max) max=n1;
    cout<<max;
}
}